VectorLinux

Please login or register.

Login with username, password and session length
Advanced search  

News:

Visit our home page for VL info. For support and documentation, visit the Vector Linux Knowledge Center or search the Knowledge Center and this Forum using the search box above.

Author Topic: VL64-5.9-Alpha 7 Needs testers  (Read 6469 times)

uelsk8s

  • Administrator
  • Vectorian
  • *****
  • Posts: 2504
VL64-5.9-Alpha 7 Needs testers
« on: January 01, 2008, 11:56:51 am »

VL64 is our attempt at duplicating VectorLinux for the 64bit CPU.
we are getting close to a beta release but we need more testers to get there.
please download, test, and report bugs below

ISO is here: http://vectorlinux.osuosl.org/Uelsk8s/iso-test/VL64-5.9-STD-A7.iso

Thanks,
Uelsk8s
« Last Edit: January 06, 2008, 04:58:04 pm by uelsk8s »
Logged

wcs

  • Packager
  • Vectorian
  • ****
  • Posts: 1144
Re: VL64-5.9-Alpha 5 Needs testers
« Reply #1 on: January 01, 2008, 03:26:37 pm »

Exciting! Downloading now, although I might only be able to test in a few days...
Logged

wcs

  • Packager
  • Vectorian
  • ****
  • Posts: 1144
Re: VL64-5.9-Alpha 5 Needs testers
« Reply #2 on: January 01, 2008, 04:35:21 pm »

Oh, could you upload the md5sum, please?
Thank you!
Logged

boilertech

  • Member
  • *
  • Posts: 30
Re: VL64-5.9-Alpha 5 Needs testers
« Reply #3 on: January 01, 2008, 05:28:50 pm »

OK. Downloaded. Check for defects and installed. Some time into the file copy process but before the configuration I got this error
Quote
Something has gone wrong. DON'T PANIC !!
I love those messages.
Quote
Please press enter to activate this console
I pressed enter and the same message would just keep coming up. I could not get the install to finish.

Need more info?
Logged

rbistolfi

  • Packager
  • Vectorian
  • ****
  • Posts: 2305
Re: VL64-5.9-Alpha 5 Needs testers
« Reply #4 on: January 01, 2008, 07:12:40 pm »

Ohh! I've forgotten about the 64 bits edition. I am downloading now.
Logged
"There is a concept which corrupts and upsets all others. I refer not to Evil, whose limited realm is that of ethics; I refer to the infinite."
Jorge Luis Borges, Avatars of the Tortoise.

--
Jumalauta!!

wcs

  • Packager
  • Vectorian
  • ****
  • Posts: 1144
Re: VL64-5.9-Alpha 5 Needs testers
« Reply #5 on: January 01, 2008, 07:43:07 pm »

Ok, I couldn't wait  :)

It installed without problems, including the nvidia drivers (100.x.x).

1. A difference to the 32-bit version seems to be the program mix, but that might be because I'm using 5.9 Deluxe (the 64-bit lacks amarok, k3b, and transmission). Also, are gslapt and kdelibs supposed to be chosen by the user as additional packages?

2. Same problems launching gnumeric and gslapt as in alpha3: gslapt cannot reach /home/user/ftp/.../packages, gnumeric complains about the lack of libgnomeui. Both refuse to start.

3. Seamonkey is a bit raw, but I suppose those fine-tuning adjustments might be best left for later (the only icons in the xfce menu are "seamonkey" and "seamonkey mail", but the others are missing; when choosing preferred browser in xfce the first time it is launched, seamonkey is not an option in the drop-down menu and the command has to be typed manually; when that is done, it still lacks the icon; that fancy theme in the standard version is not there; the home page is not vectorlinux; and it comes with the default bookmarks).

4. Is there a reason why the browser mplayer plugin is being used by npwrapper? Is it possible to use npwrapper only for flash and have the mplayer plugin in 64-bit?

5. I tried a couple of youtube videos, and it seems that when going fullscreen it opens another tab/window. In the standard version (deluxe), fullscreen flash starts in the same tab and one can press ESC to return to normal mode at the same point in the video.

6. Some programs (e.g., xcalc, gtkfind) show a loading clock in the mouse cursor that does not go away until the program is closed.

7. Tried to configure a printer, but cups could not be started from VASM, even though I selected cups during installation. Tried to load it manually, but could not find the "service" command.

Will keep on testing, although only in a few days.

Thanks a lot for this.
« Last Edit: January 01, 2008, 07:45:03 pm by wcs »
Logged

wcs

  • Packager
  • Vectorian
  • ****
  • Posts: 1144
Re: VL64-5.9-Alpha 5 Needs testers
« Reply #6 on: January 01, 2008, 07:51:05 pm »

And this might be only in my head, but for some reason the 32-bit (deluxe) seems snappier. There seems to be a small delay (maybe hard drive) when launching small programs. But it does have the same kernel as the 32-bit, right?
Logged

wcs

  • Packager
  • Vectorian
  • ****
  • Posts: 1144
Re: VL64-5.9-Alpha 5 Needs testers
« Reply #7 on: January 01, 2008, 08:41:59 pm »

Three more points:

1. When creating a "New Empty File" in Thunar (and I guess, for other text files as well), it is associated with abiword, instead of mousepad.

2. When trying to run the latest skype beta (2.0), I get the following message (related to xv, I guess):  error while loading shared libraries: libXv.so.1: cannot open shared object file. I suppose those packages will come in later.

3. Just a question. CFLAGS are -O2 and -fpic . What does -fpic do? Should there be a -march flag?

Thank you again.
Logged

blurymind

  • Packager
  • Vectorian
  • ****
  • Posts: 1082
Re: VL64-5.9-Alpha 5 Needs testers
« Reply #8 on: January 02, 2008, 09:59:14 am »

Three more points:

1. When creating a "New Empty File" in Thunar (and I guess, for other text files as well), it is associated with abiword, instead of mousepad.

same thing in 59-gold for 32
Logged
status: playing around with new tablet and learning to 3d :p
google page :  http://blurymind.googlepages.com
DA PAGE :  http://www.blurymind.deviantart.com/

alec

  • Member
  • *
  • Posts: 63
Re: VL64-5.9-Alpha 5 Needs testers
« Reply #9 on: January 03, 2008, 03:36:58 am »

So is this 64bit alpha Vector safe to install as main OS? Any show-stoppers there?
Logged

uelsk8s

  • Administrator
  • Vectorian
  • *****
  • Posts: 2504
Re: VL64-5.9-Alpha 5 Needs testers
« Reply #10 on: January 03, 2008, 07:40:09 am »

So is this 64bit alpha Vector safe to install as main OS? Any show-stoppers there?
It is quite stable for me.
just the minor annoyances like what is posted above.
Logged

uelsk8s

  • Administrator
  • Vectorian
  • *****
  • Posts: 2504
Re: VL64-5.9-Alpha 5 Needs testers
« Reply #11 on: January 03, 2008, 07:54:13 am »

Ok, I couldn't wait  :)

It installed without problems, including the nvidia drivers (100.x.x).

1. A difference to the 32-bit version seems to be the program mix, but that might be because I'm using 5.9 Deluxe (the 64-bit lacks amarok, k3b, and transmission). Also, are gslapt and kdelibs supposed to be chosen by the user as additional packages?

2. Same problems launching gnumeric and gslapt as in alpha3: gslapt cannot reach /home/user/ftp/.../packages, gnumeric complains about the lack of libgnomeui. Both refuse to start.

3. Seamonkey is a bit raw, but I suppose those fine-tuning adjustments might be best left for later (the only icons in the xfce menu are "seamonkey" and "seamonkey mail", but the others are missing; when choosing preferred browser in xfce the first time it is launched, seamonkey is not an option in the drop-down menu and the command has to be typed manually; when that is done, it still lacks the icon; that fancy theme in the standard version is not there; the home page is not vectorlinux; and it comes with the default bookmarks).

4. Is there a reason why the browser mplayer plugin is being used by npwrapper? Is it possible to use npwrapper only for flash and have the mplayer plugin in 64-bit?

5. I tried a couple of youtube videos, and it seems that when going fullscreen it opens another tab/window. In the standard version (deluxe), fullscreen flash starts in the same tab and one can press ESC to return to normal mode at the same point in the video.

6. Some programs (e.g., xcalc, gtkfind) show a loading clock in the mouse cursor that does not go away until the program is closed.

7. Tried to configure a printer, but cups could not be started from VASM, even though I selected cups during installation. Tried to load it manually, but could not find the "service" command.

Will keep on testing, although only in a few days.

Thanks a lot for this.
1)packages wil hopefully be the same by beta time.
2)i have libgnomeui finished for gnumeric.  for gslapt you can create the dir "mkdir -p /home/ftp/pub/veclinux/packages" make sure you change your sources they currently point to the 32bit repo's
3)I am hoping incognu can build his famous seamonkey package for 64bit as well :)
4)not sure about this, its as is for time and wil be sorted someday, soon i hope.
5) relates to 4
6)i think the StartupNotify=true is not being handled in the .desktop and need to be set to false
7)check for service in /etc/rc.d/service

You are welcome, Thanks for testing

Uelsk8s
Logged

uelsk8s

  • Administrator
  • Vectorian
  • *****
  • Posts: 2504
Re: VL64-5.9-Alpha 7 Needs testers
« Reply #12 on: January 06, 2008, 04:57:25 pm »

Uploaded A7 today

most issues resolved.

http://vectorlinux.osuosl.org/Uelsk8s/iso-test/VL64-5.9-STD-A7.iso

Thanks for testing
Uelsk8s
Logged

The Headacher

  • Louder than you
  • Global Moderator
  • Vectorian
  • *****
  • Posts: 1553
  • I like the bass to go BOOM!
    • Multimedia on VL (work in progress)
Re: VL64-5.9-Alpha 7 Needs testers
« Reply #13 on: January 07, 2008, 05:26:41 am »

A7:
- I think I saw Adobe Reader was a Required package during install? I'm not a great fan of Adobe, I'd rather not have it installed by default. That's just me though, slapt-get --remove acroread works fine.
- I can't get proper 3D acceleration with the ATI fglrx driver. I get about 2500 fps in VL 5.9 gold, but stay slightly below 1000 with this one. I haven't tested this on previous versions (I wanted to play Chromium but the framerate was too low).

that's it for now.
Logged
Most music on my soundcloud page was arranged in programs running on VL.